use crate::{Payload, SeString};
use crate::payload::ItemPayload;

super::basic_tests! {
    item {
        payload = &[2, 39, 7, 3, 242, 19, 9, 2, 1, 3];
        expected = SeString(vec![
            Payload::Item(ItemPayload {
                id: 4873,
                hq: false,
                name: None,
            }),
        ]);
    }
}
